Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix.custom
Class AFXCMMessage

    java.lang.Object
      com.fxcm.fix.custom.AFXCMMessage

All Implemented Interfaces:
  ITransportable

Direct Known Subclasses:
  FXCMRequest, FXCMRequestReject, FXCMResponse

    public abstract class AFXCMMessage

extends Object
implements ITransportable

Field Summary
`static String` | `RESPONSEECODING_DAS`
`static String` | `RESPONSEECODING_DS`
`static String` | `RESPONSEECODING_RE`

Constructor Summary
`AFXCMMessage()` Default constructor.
`AFXCMMessage(AFXCMMessage aMessage)`

Method Summary
`void` | `addAddon(Addon aAddon)`
`boolean` | `copy(AFXCMMessage aMessage)`
`boolean` | `deepCopy(AFXCMMessage aMessage)`
`boolean` | `fill(IMessage aMsg)` Fills object state based on message state.
`List` | `getAddons()`
`String` | `getCustomBusID()`
`String` | `getDatabaseBusID()`
`String` | `getDBAlias()`
`String` | `getEntityCode()`
`String` | `getFXCMCommandID()` Get the original command id that was used in the request
`long` | `getMakingTime()` Return the time when this instance of ITransportable object was made
`String` | `getMessageBusID()`
`String` | `getParam(String aName)`
`Map` | `getParams()` Get params
`String` | `getRequestBusID()`
`String` | `getRequestID()` Obtains the Request ID on this object
`String` | `getRequestorID()`
`String` | `getResponseEncoding()`
`String` | `getSessionID()`
`String` | `getTestReqID()` Gets test request identifier.
`String` | `getTradingSessionID()` Gets trading session identifier (supposed to be FXCM).
`String` | `getTradingSessionSubID()` Gets trading session sub-identifier (supposed to be NewsServer).
`UTCTimestamp` | `getTransactTime()`
`boolean` | `isValid()` Determines whether object state is valid.
`void` | `reset()` Reset object state to default values.
`void` | `setAddons(List aAddons)`
`void` | `setCustomBusID(String aCustomBusID)`
`void` | `setDatabaseBusID(String aDatabaseBusID)`
`void` | `setDBAlias(String aDBAlias)`
`void` | `setEntityCode(String aEntityCode)`
`void` | `setFXCMCommandID(String aFXCMCommandID)` Set the original command id that was used in the request
`void` | `setMessageBusID(String aMessageBusID)`
`void` | `setParam(String aName, String aValue)`
`void` | `setParams(Map aParams)` Set params
`void` | `setRequestBusID(String aRequestBusID)`
`void` | `setRequestorID(String aRequestorID)`
`void` | `setResponseEncoding(String aResponseEncoding)`
`void` | `setSessionID(String aSessionID)`
`void` | `setTestReqID(String asTestReqID)` Sets test request identifier.
`void` | `setTradingSessionID(String asTradingSessionID)` Sets trading session identifier (supposed to be FXCM).
`void` | `setTradingSessionSubID(String asTradingSessionSubID)` Sets trading session sub-identifier (supposed to be NewsServer).
`void` | `setTransactTime(UTCTimestamp aTransactTime)`
`IMessage` | `toMessage(String aSID, IMessageFactory aFactory)` Converts object to message.
`IMessage` | `toMessage(String aSID, String aTradingSessionID, String aTradingSessionSubID, String aRequestID, int aOptions, IMessageFactory aFactory)` Converts object to IMessage.
`String` | `toString()`
`boolean` | `update(IMessage aMsg)` Update object state based on message state.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.fxcm.messaging.ITransportable
`getType`

Field Detail

### RESPONSEECODING_DAS

    public static final String RESPONSEECODING_DAS

See Also:
  Constant Field Values

### RESPONSEECODING_RE

    public static final String RESPONSEECODING_RE

See Also:
  Constant Field Values

### RESPONSEECODING_DS

    public static final String RESPONSEECODING_DS

See Also:
  Constant Field Values

Constructor Detail

### AFXCMMessage

    public AFXCMMessage()

  Default constructor.

### AFXCMMessage

    public AFXCMMessage(AFXCMMessage aMessage)

Method Detail

### copy

    public boolean copy(AFXCMMessage aMessage)

### deepCopy

    public boolean deepCopy(AFXCMMessage aMessage)

### getFXCMCommandID

    public String getFXCMCommandID()

  Get the original command id that was used in the request

### setFXCMCommandID

    public void setFXCMCommandID(String aFXCMCommandID)

  Set the original command id that was used in the request

### getTestReqID

    public String getTestReqID()

  Gets test request identifier.

### getTradingSessionID

    public String getTradingSessionID()

  Gets trading session identifier (supposed to be FXCM).

  Specified by:
    `getTradingSessionID` in interface `ITransportable`

### getTradingSessionSubID

    public String getTradingSessionSubID()

  Gets trading session sub-identifier (supposed to be NewsServer).

  Specified by:
    `getTradingSessionSubID` in interface `ITransportable`

### setTestReqID

    public void setTestReqID(String asTestReqID)

  Sets test request identifier.

### setTradingSessionID

    public void setTradingSessionID(String asTradingSessionID)

  Sets trading session identifier (supposed to be FXCM).

### setTradingSessionSubID

    public void setTradingSessionSubID(String asTradingSessionSubID)

  Sets trading session sub-identifier (supposed to be NewsServer).

### getParams

    public Map getParams()

  Get params

### setParams

    public void setParams(Map aParams)

  Set params

### getAddons

    public List getAddons()

### setDBAlias

    public void setDBAlias(String aDBAlias)

### getDBAlias

    public String getDBAlias()

### setEntityCode

    public void setEntityCode(String aEntityCode)

### getEntityCode

    public String getEntityCode()

### setResponseEncoding

    public void setResponseEncoding(String aResponseEncoding)

### getResponseEncoding

    public String getResponseEncoding()

### setRequestBusID

    public void setRequestBusID(String aRequestBusID)

### getRequestBusID

    public String getRequestBusID()

### setMessageBusID

    public void setMessageBusID(String aMessageBusID)

### getMessageBusID

    public String getMessageBusID()

### setDatabaseBusID

    public void setDatabaseBusID(String aDatabaseBusID)

### getDatabaseBusID

    public String getDatabaseBusID()

### setCustomBusID

    public void setCustomBusID(String aCustomBusID)

### getCustomBusID

    public String getCustomBusID()

### setSessionID

    public void setSessionID(String aSessionID)

### getSessionID

    public String getSessionID()

### setRequestorID

    public void setRequestorID(String aRequestorID)

### getRequestorID

    public String getRequestorID()

### setAddons

    public void setAddons(List aAddons)

### addAddon

    public void addAddon(Addon aAddon)

### setParam

    public void setParam(String aName,
                         String aValue)

### getParam

    public String getParam(String aName)

### reset

    public void reset()

  Reset object state to default values.

### toMessage

    public IMessage toMessage(String aSID,
                              IMessageFactory aFactory)

  Converts object to message.

  Specified by:
    `toMessage` in interface `ITransportable`
  Parameters:
    `aSID` - User session ID
    `aFactory` - message factory to create message objects
  Returns:
    Can be `null` in case of errors

### toMessage

    public IMessage toMessage(String aSID,
                              String aTradingSessionID,
                              String aTradingSessionSubID,
                              String aRequestID,
                              int aOptions,
                              IMessageFactory aFactory)

  Converts object to IMessage.

  Specified by:
    `toMessage` in interface `ITransportable`
  Parameters:
    `aSID` - user session ID
    `aTradingSessionID` - Trading Session ID, to alternate a value from object state
    `aTradingSessionSubID` - Trading Session Sub ID, to alternate a value from object state
    `aRequestID` - Request ID, to alternate a value from object state
    `aOptions` - Set of options for message creation, reserved
    `aFactory` - message factory that is in use to process
  Returns:
    new messge create or `null` if creation fails

### fill

    public boolean fill(IMessage aMsg)

  Fills object state based on message state.

  Specified by:
    `fill` in interface `ITransportable`
  Parameters:
    `aMsg` - message to get new state from
  Returns:
    `true` if new state is OK; `false` otherwise.

### update

    public boolean update(IMessage aMsg)

  Update object state based on message state.

  Does the same as ``fill()``.

  Specified by:
    `update` in interface `ITransportable`
  Parameters:
    `aMsg` - message to get udpated state from
  Returns:
    `true` if new state is OK; `false` otherwise.

### isValid

    public boolean isValid()

  Determines whether object state is valid.

  Specified by:
    `isValid` in interface `ITransportable`
  Returns:
    `true` if state is OK; `false` otherwise.

### getRequestID

    public String getRequestID()

  Description copied from interface: `ITransportable`
  Obtains the Request ID on this object

  Specified by:
    `getRequestID` in interface `ITransportable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getMakingTime

    public long getMakingTime()

  Return the time when this instance of ITransportable object was made

  Specified by:
    `getMakingTime` in interface `ITransportable`
  Returns:
    object making time

### setTransactTime

    public void setTransactTime(UTCTimestamp aTransactTime)

### getTransactTime

    public UTCTimestamp getTransactTime()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.